<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Account-Verwaltung">
    <meta name="author" content="www.serviceblick.com">

    <title>Vorlagen verwalten</title>
    <!-- vendor css -->
    <link rel="stylesheet" href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/line-awesome/css/line-awesome.min.css?v=[cs_version]">    
    <link rel="stylesheet" href="/style-global/lib/select2/css/select2.min.css?v=[cs_version]">
    {% include 'snippets/global-header-include.tpl' %}

    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-vendor.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
    <link rel="stylesheet" href="./css/taskmanager-custom.css">
    
</head>

<body id="page-top" class="az-body">
{% include 'snippets/pb-loader.tpl' %}  
<div id="contentwrapper" style="display:none;" class="az-body">

<div class="az-header">
    <div class="container">
        <div class="az-header-left">
            <a href="" id="azContentLeftShow" class="az-header-arrow d-block d-lg-none"><i class="icon ion-md-arrow-back"></i></a> 
            <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/todo.png" alt="Taskmanager"></a>
            <a href="index.html"><span class="nav-link text-dark tx-20" data-i18n="CS:Aufgaben">Taskmanager</span></a>
        </div><!-- az-header-left -->
        <div class="az-header-menu">
            <div class="az-header-menu-header">
              <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/todo.png" alt="Taskmanager"></a>
              <a href="" class="close">&times;</a>
            </div><!-- az-header-menu-header -->
        </div><!-- az-header-menu -->
        <div class="az-header-right">
            <div data-permission="frontend.taskmanager" class="az-header-notification mg-l-10 hidden" data-hint="Start a tour at anytime from the help menu." data-hint-position="middle-top">
                <a href="#" data-toggle="modal" data-target="#modal_help" id="help">
                    <i class="icon ion-ios-help-circle-outline" data-toggle="tooltip" title="" data-original-title="Hilfe"></i></a>
            </div>
            {% include 'snippets/header-apps-menu.tpl' %}
            {% include 'snippets/header-profile-menu.tpl' %}
        </div><!-- az-header-right -->
    </div><!-- container -->
</div><!-- az-header -->

<div class="az-content az-content-mail">
    <div class="container">
        <div class="az-content-left az-content-left-mail  az-content-left-components">
            <div class="az-content-header">
                <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                <a href="" id="azContentLeftHide" class="az-header-arrow">
                    <i class="icon ion-md-arrow-forward d-sm-none"></i>
                    <i class="icon ion-md-close d-none d-sm-block"></i>
                </a>
            </div><!-- az-content-header -->
            {% include 'snippets/content-left-taskmanager-settings-nav.tpl' %}
        </div><!-- az-content-left -->

        <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40">
            <div class="az-content-breadcrumb">
                
                <span data-i18n="CS:Aufgaben">Taskmanager</span>
                <span data-i18n="Settings">Einstellungen</span>
                <span data-i18n="Template">Vorlagen</span>

            </div>
            <div class="d-flex justify-content-between ">
                <h2 class="az-content-title" data-i18n="Manage Templates">Manage Task Template </h2>
            </div>

            <p class="mg-b-20 az-content-description"><span data-i18n="template setting intro">Hier können Sie Ihre Vorlagen verwalten. Beim Speichern einer Aufgabe haben Sie die Möglichkeit, eine unbegrenzte Anzahl von Vorlagen in Ihrem Taskmanager hinzufügen. Wählen Sie es aus der Liste unten aus, um es zu löschen.</span>
            </p>
            
            <!-- list view start  -->
            <div class="card-body">
                <!-- list header start -->
                <div class="pb-4 mb-4 border-bottom row">
                    <div class="col-md-6 col-12 pl-0">
                        <p class="mb-3 pd-r-10 az-content-label" data-i18n="Tasklist">Taskliste</p>
                        <select class="form-control" id="task-list-select"></select>
                    </div>
    
                </div>

                <!-- content body start -->
                <div class="tab-pane fade show active">
            
                    <!-- list start -->
                    <div class="row pt-3">

                        <div class="col-10 az-content-label az-content-label-sm" data-i18n="Template Label">Template Name
                        </div>

                        <div class="col-2">
            
                        </div>
                    </div>
                    <div id="template_list_container">
                        <ul id="template_element_list" class="template-element-list pl-0">
                            <!-- list generated from snippet here -->
        
        
                        </ul>
                    </div>
            
                </div>
                <!-- content body -->
            </div>
            <!-- list view  -->
            
        </div><!-- az-content-body -->
    </div><!-- container -->
</div><!-- az-content -->

{% include 'snippets/footer.tpl' %}
<!-- az-footer -->

</div> <!--content wrapper  -->

<!-- content snippet for creating list -->
<div id="template_item" class="hidden" style="display: None;">
    <li data-selector="list-entry" class="template-element tickets-card row" id="[{template_id}]">
        <div class="col-9"> [{template_name}]
        </div>
        <div class="col-3 btn-icon-list justify-content-end">
            <button name="qr_gen" id="qrgen_[{template_id}]" class="btn btn-indigo btn-icon"><i class="fa fa-qrcode"></i></button>
            <button name="qr_formgen" id="qr_formgen_[{template_id}]" class="btn btn-indigo btn-icon"><i class="typcn typcn-printer"></i></button>
            <button class="btn btn-outline-indigo btn-icon" data-selector="btn-field-delete"
                data-field-delete-id="[{template_id}]"><i class="typcn typcn-trash"></i></button>
            
        </div>
    </li>
</div>

<div id="qrform_modal" class="modal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Formular-Texte</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <table style="width:100%;">
                    <tr>
                    <td style="vertical-align:top;width:300px;"><img id="qr_preview" style="width:300px;" src=""/></td>
                    <td style="text-align:left;vertical-align:top;padding-top:20px;padding-left: 10px;padding-right:30px;padding-bottom:30px;">
                        <h1 style="display:inline;"><input id="form_title" name="form_title" type="text" class="form-control" placeholder="Titel eingeben" required=""></h1>
                        <div><textarea style="min-width:100%;min-height:160px;" id="form_description"></textarea></div>
                    </td>
                    </tr>
                </table>


            </div><!-- modal-body -->
            <div class="modal-footer">
                <button name="open_qr_form_button" type="button" data-dismiss="modal" class="btn btn-primary">Formular erzeugen</button>
            </div>
        </div>
    </div><!-- modal-dialog -->
</div><!-- modal -->
{% include 'snippets/help-modal-taskmanager.tpl' %}

<script src="/style-global/lib/jquery/jquery.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/bootstrap/js/bootstrap.bundle.min.js?v=[cs_version]"></script>
<script type="module" src="/style-global/lib/ionicons/ionicons/ionicons.esm.js?v=[cs_version]"></script>
<script nomodule="" src="/style-global/lib/ionicons/ionicons/ionicons.js?v=[cs_version]"></script>
<script src="/style-global/lib/perfect-scrollbar/perfect-scrollbar.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/select2/js/select2.min.js?v=[cs_version]"></script>
<script src="/style-global/js/azia.js?v=[cs_version]"></script>
<script src="/style-global/lib/fnon-notification/fnon.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/quill/quill.min.js?v=[cs_version]"></script>
<script src="/style-global/lib/introjs/intro.min.js?v=[cs_version]"></script>

<script defer type="module">
    import {pbBrain} from '../csf-lib/pb-brain.js?v=[cs_version]';

    new pbBrain().boot("task-manager-template-settings-circuit");
</script>


</body>

</html>